cdac.medinfo.model

## Class CareGiver

- java.lang.Object
- - cdac.medinfo.model.CareGiver

-     public class CareGiver
      extends java.lang.Object

  This class specify Care Giver Details.

  This class has the following attributes:

  1. Care Giver Name (String)
  2. Care Giver Family (String)
  3. Care Giver Suffix (String)
  4. Care Giver Prefix (String)
  5. Care Giver Gender (String)
  6. Care Giver Birth Time (String)
  7. Care Giver Contact (List`<String>`)
  8. Care Giver Address (List`<Address>`)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CareGiver()` Constructs an object of Care Giver.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Address>` | `getCareGiverAddress()` Returns the List of Care Giver Address.
    `java.lang.String` | `getCareGiverBirthTime()` Returns the Care Giver Birth Time.
    `java.util.List<java.lang.String>` | `getCareGiverContact()` Returns the List of Care Giver Contact.
    `java.lang.String` | `getCareGiverFamily()` Returns the Care Giver's Family Name.
    `java.lang.String` | `getCareGiverGender()` Returns the Care Giver Gender.
    `java.lang.String` | `getCareGiverName()` Returns the Care Giver Name.
    `java.lang.String` | `getCareGiverPrefix()` Returns the the Care Giver Name Prefix.
    `java.lang.String` | `getCareGiverSuffix()` Returns the Care Giver Name Suffix.
    `void` | `setCareGiverBirthTime(java.lang.String careGiverBirthTime)` Sets the Care Giver Birth Time.
    `void` | `setCareGiverFamily(java.lang.String careGiverFamily)` Sets the Care Giver's Family Name.
    `void` | `setCareGiverGender(java.lang.String careGiverGender)` Sets the Care Giver Gender.
    `void` | `setCareGiverName(java.lang.String careGiverName)` Sets the Care Giver Name.
    `void` | `setCareGiverPrefix(java.lang.String careGiverPrefix)` Sets the the Care Giver Name Prefix.
    `void` | `setCareGiverSuffix(java.lang.String careGiverSuffix)` Sets the Care Giver Name Suffix.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CareGiver

          public CareGiver()

      Constructs an object of Care Giver.

  - ### Method Detail

    - #### getCareGiverName

          public java.lang.String getCareGiverName()

      Returns the Care Giver Name.
      Returns:
        the careGiverName

    - #### setCareGiverName

          public void setCareGiverName(java.lang.String careGiverName)

      Sets the Care Giver Name.
      Parameters:
        `careGiverName` - Specifies the Care Giver Name.

    - #### getCareGiverFamily

          public java.lang.String getCareGiverFamily()

      Returns the Care Giver's Family Name.
      Returns:
        the careGiverFamily

    - #### setCareGiverFamily

          public void setCareGiverFamily(java.lang.String careGiverFamily)

      Sets the Care Giver's Family Name.
      Parameters:
        `careGiverFamily` - Specifies the Care Giver's Family Name.

    - #### getCareGiverSuffix

          public java.lang.String getCareGiverSuffix()

      Returns the Care Giver Name Suffix.
      Returns:
        the careGiverSuffix

    - #### setCareGiverSuffix

          public void setCareGiverSuffix(java.lang.String careGiverSuffix)

      Sets the Care Giver Name Suffix.
      Parameters:
        `careGiverSuffix` - Specifies the Care Giver Name Suffix.

    - #### getCareGiverPrefix

          public java.lang.String getCareGiverPrefix()

      Returns the the Care Giver Name Prefix.
      Returns:
        the careGiverPrefix

    - #### setCareGiverPrefix

          public void setCareGiverPrefix(java.lang.String careGiverPrefix)

      Sets the the Care Giver Name Prefix.
      Parameters:
        `careGiverPrefix` - Specifies the Care Giver Name Prefix.

    - #### getCareGiverGender

          public java.lang.String getCareGiverGender()

      Returns the Care Giver Gender.
      Returns:
        the careGiverGender

    - #### setCareGiverGender

          public void setCareGiverGender(java.lang.String careGiverGender)

      Sets the Care Giver Gender.
      Parameters:
        `careGiverGender` - Specifies the Care Giver Gender.

    - #### getCareGiverBirthTime

          public java.lang.String getCareGiverBirthTime()

      Returns the Care Giver Birth Time.
      Returns:
        the careGiverBirthTime

    - #### setCareGiverBirthTime

          public void setCareGiverBirthTime(java.lang.String careGiverBirthTime)

      Sets the Care Giver Birth Time.
      Parameters:
        `careGiverBirthTime` - Specifies the Care Giver Birth Time.

    - #### getCareGiverContact

          public java.util.List<java.lang.String> getCareGiverContact()

      Returns the List of Care Giver Contact.
      Returns:
        the careGiverContact

    - #### getCareGiverAddress

          public java.util.List<Address> getCareGiverAddress()

      Returns the List of Care Giver Address.
      Returns:
        the careGiverAddress